Updates the task lists of tasks.

POSThttps://api.awork.com/api/v1/tasks/changelists
POST https://api.awork.com/api/v1/tasks/changelists

Updates the task lists of tasks. The listed tasks are assigned to the selected lists.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Request body Required

The change Task List forms.

application/json

taskIdstringRequired
format: uuid

The id of the task to change.

taskListsarray of objectRequired

The lists the task should be moved to.

Show 3 properties
idstringRequired
format: uuid

The id of the task list.

ordernumber or nullOptional
format: double

The order of the task in the list. If null, the task is moved to the end of the list.

isPrimaryboolean or nullOptional

Whether the TaskList should be the primary list for the task. If not specified for any list of the task, the first list by order will be the primary list.

Responses

200 OK

application/json

taskIdstringRequired
format: uuid

The id of the task to change.

taskListsarray of objectRequired

The lists the task should be moved to.

Show 3 properties
idstringRequired
format: uuid

The id of the task list.

ordernumber or nullOptional
format: double

The order of the task in the list. If null, the task is moved to the end of the list.

isPrimaryboolean or nullOptional

Whether the TaskList should be the primary list for the task. If not specified for any list of the task, the first list by order will be the primary list.

400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation